UnregisterInterestOperationContext (Apache Geode 1.13.0)
Date: 2020-09-07

org.apache.geode.cache.operations

## Class UnregisterInterestOperationContext

- java.lang.Object
- - org.apache.geode.cache.operations.OperationContext
  - - org.apache.geode.cache.operations.InterestOperationContext
    - - org.apache.geode.cache.operations.UnregisterInterestOperationContext

- Deprecated.
  since Geode1.0, use `ResourcePermission` instead

      public class UnregisterInterestOperationContext
      extends InterestOperationContext

  Encapsulates a `OperationContext.OperationCode.UNREGISTER_INTEREST` region operation for the pre-operation case.
  Since:
    GemFire 5.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.geode.cache.operations.OperationContext

      `OperationContext.OperationCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnregisterInterestOperationContext(Object key, InterestType interestType)` Deprecated. Constructor for the unregister interest operation.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `OperationContext.OperationCode` | `getOperationCode()` Deprecated. Return the operation associated with the `OperationContext` object.

    - ### Methods inherited from class org.apache.geode.cache.operations.InterestOperationContext

      `getInterestType, getKey, isPostOperation, setKey`

    - ### Methods inherited from class org.apache.geode.cache.operations.OperationContext

      `isClientUpdate, isClientUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnregisterInterestOperationContext

          public UnregisterInterestOperationContext(Object key,
                                                    InterestType interestType)

      Deprecated.
      Constructor for the unregister interest operation.
      Parameters:
        `key` - the key or list of keys being unregistered
        `interestType` - the `InterestType` of the unregister request

  - ### Method Detail

    - #### getOperationCode

          public OperationContext.OperationCode getOperationCode()

      Deprecated.
      Return the operation associated with the `OperationContext` object.
      Specified by:
        `getOperationCode` in class `OperationContext`
      Returns:
        `OperationCode.UNREGISTER_INTEREST`.